<?php
// jobs-1-list : permet de visualiser et diter les jobs StorIQ
//version 0.8-2
error_reporting(E_ALL);

//contrle du user/pass prsents
session_start();
if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) 
	{
         readfile ("./index.html");
         exit;
         }

// connexion base et autorisations
require("dbuser.inc.php");

// autorisations : LIST voit les jobs, n'dite que les siens
if ($permissions['KS_LIST']!='Y')
	{
         header("HTTP/1.0 401 Unauthorized");
         readfile("./forbidden.html");
         exit;
         }

if (isset($_GET['offset']))
	{$offset=$_GET['offset'];}
else
	{$offset=0;}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>StorIQ - View/Edit Programmed Jobs</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link rel="stylesheet" href="css/style1.css" type="text/css" />
</head>
<script language="JavaScript">

function open_list (win_location, list_win_width, list_win_height)
{
   var screen_width, screen_height;
   var win_top, win_left;
   var ListWin;

   screen_height        = 0;     screen_width      = 0;
   win_top              = 0;     win_left          = 0;

   if (window.innerWidth) screen_width = window.innerWidth;
   if (window.innerHeight) screen_height = window.innerHeight;

   win_top  = screen_height - list_win_height - 20;
   win_left = screen_width  - list_win_width  - 20;
   ListWin  = window.open(win_location, 'ListWin', 'scrollbars=1, resizable=1, width='+list_win_width+',height='+list_win_height+',top='+win_top+',left='+win_left);
   ListWin.focus();
}
</script>
<body class="normal">
	<div class="left">
	<A HREF="showlogin.php"><IMG src="images/user-menu.gif" border="0" alt="logout" title="Log out from the system">Logout</A>
	&nbsp; &nbsp;
	<A HREF="login.php"><IMG src="images/tools.gif" border="0" alt="go back to main" title="Go back to main menu">Main menu</A>
	&nbsp; &nbsp;
         <A HREF="jobs-1-list.php"><IMG src="images/Dayrunner.gif" border="0" alt="Go back to main job list" title="Back to main job list">Back to Jobs</A>
	&nbsp; &nbsp;
	</div>
         <br>
	<div class="center">
         <form METHOD="GET" ACTION="./jobs-2-proglist.php">
         <table border="0" cellpadding="0" cellspacing="0" width="100%" class="titlebar">
	         <tr>
	                  <td align="left"><img src="images/titleleft.gif" width="48" height="26" alt="*" class="normal" /></td>
	                  <td class="titleheader">Stor<img src="images/iq.png"alt="IQ" class="normal" /> -Programmed Jobs list</td>
	                  <td align="right"><img src="images/titleright.gif" width="48" height="26" alt="*" class="normal" /></td>
	         </tr>
	</table>
         <TABLE border="1" cellpadding="1" cellspacing="0" width="100%" class="main">
         	<TR class="grey">
                         <td class="toolbar">
                         <table  border="0" cellspacing="0" width="100%" class="main">
                         	<tr class="grey">
                                 	<td class="toolbar" align="left">
                                         <input type="submit" name="prev" value=<?php print '"<< Previous '.$listlength.' Jobs"';?>>
                                         &nbsp;&nbsp;
                                         <input type="submit" name="first" value="<<< First">
                                         </td>
                                 	<td class="toolbar" align="right">
                                         <input type="submit" name="next" value=<?php print '"Next '.$listlength.' Jobs >>"';?>
                                         </td>
                                 </tr>
                         </table>
                         </td>
             	</TR>
         </TABLE>
         <TABLE border="1" cellpadding="5" cellspacing="0" width="100%" class="main">
         	<tr class="grey">
                 	<TD valign="top">Job</TD>
                         <TD valign="top">Job Type</TD>
                         <TD valign="top"> Status </TD>
                         <TD valign="top"> Began at </TD>
                         <TD valign="top"> Repeat mode </TD>
                         <TD valign="top"> Repetitions left </TD>
                         <TD valign="top"> From dir. </TD>
                         <TD valign="top"> user </TD>
                         <TD valign="top"> Messages </TD>
                         <TD valign="top"> Archive Name</TD>
                         <TD valign="top"> Description </TD>


                 </tr>
	         <?php
$i=0;
if (isset($_GET['next']))
	{$offset+=$listlength;}
if (isset($_GET['prev']))
	{$offset-=$listlength;}
if (($offset<0) or (!$offset) or (isset($_GET['first'])))
         {$offset=0; $loffset=0;}


$myquery="SELECT * FROM progjobs ORDER BY JSTTIME DESC LIMIT $offset, $listlength";
//print "Query $myquery<br>";
$myresult=mysql_query($myquery, $mysqllink);
while ($myrow=mysql_fetch_array($myresult, $mysqllink))
         {
         // ne pas afficher les messages potentiellement trop long
         $message='<a href="./jobs-2-files.php?pjob='.$myrow{'PJOBID'}.'" onclick="open_list(\'./jobs-2-files.php?pjob='.$myrow{'PJOBID'}.'\', \'500\', \'300\'); return false;" notab tabstop="-1"> See File list </a>';
         if ($myrow{'STATUS'}=='ERROR')
         	{
                 $message='<a href="./jobs-2-message.php?job='.$myrow{'PJOBID'}.'" onclick="open_list(\'./jobs-2-message.php?job='.$myrow{'PJOBID'}.'\', \'500\', \'300\'); return false;" notab tabstop="-1"> See Error message </a>';
                 }

         // couleur selon le cas  : blanc DONE, vert TODO, orange MISSED, rouge ERROR
         if ($myrow{'JSTTIME'}=='0000-00-00 00:00:00') {$myrow{'JSTTIME'}='-';};
         $backtype=array("DONE"=>"white", "TODO"=>"green", "MISSED"=>"orange", "ERROR"=>"red");
         print '<TR class="normal"><TD valign="top" class="light">'.$myrow{'PJOBID'}.'&nbsp;<a href="jobs-2-progedit.php?pjob='.$myrow{'PJOBID'}.'" onclick="open_list(\'./jobs-2-progedit.php?pjob='.$myrow{'PJOBID'}.'\', \'720\', \'500\'); return false;"'.' title="Display details for this job / Edit this job"><img src="images/Edit_sm.gif" border="0"></a></td>'."\n".'<td class="light">&nbsp;'.$myrow{'JOBTYPE'}.' </td>'."\n".'<td class="'.$backtype[$myrow{'STATUS'}].'">&nbsp;'.$myrow{'STATUS'}.' </td>'."\n<td class=\"light\">".$myrow{'JSTTIME'}.'</td><td  class="light">&nbsp;'.$myrow{'REPEATMODE'}.' </td><td  class="light">&nbsp;'.$myrow{'REPEATCOUNT'}.' </td><td  class="light">&nbsp;'.$myrow{'FROMDIR'}." </td>\n<td class=\"light\">&nbsp;".$myrow{'CREATOR'}." </td>\n<td class=\"light\">&nbsp;".$message ."</td>\n<td class=\"light\">&nbsp;".$myrow{'ARCHNAME'}." </td>\n<td class=\"light\">&nbsp;".$myrow{'DESCR'}." </td>\n</tr>\n";
         }

?>
	</table>
         <?php
         print '<input type="hidden" name="offset" value="'.$offset.'">';
         ?>

         <TABLE border="1" cellpadding="1" cellspacing="0" width="100%" class="main">
         	<TR class="grey">
                         <td class="toolbar">
                         <table  border="0" cellspacing="0" width="100%" class="main">
                         	<tr class="grey">
                                 	<td class="toolbar" align="left">
                                         <input type="submit" name="prev" value=<?php print '"<< Previous '.$listlength.' Jobs"';?>>
                                         &nbsp;&nbsp;
                                         <input type="submit" name="first" value="<<< First">
                                         </td>
                                 	<td class="toolbar" align="right">
                                         <input type="submit" name="next" value=<?php print '"Next '.$listlength.' Jobs >>"';?>
                                         </td>
                                 </tr>
                         </table>
                         </td>
             	</TR>
         </TABLE>
         </form>
</div>
</body>
</html>