<?php
// admin-2-archlist : liste des archives
//version 0.8-1
error_reporting(E_ALL);

//contrle du user/pass prsents
session_start();


if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) 
	{
         readfile ("./index.html");
         exit;
         }

// connexion base et autorisations
require("dbuser.inc.php");

// vrifier si admin
if ($permissions['KS_ADMIN']!='Y')
	{
         header("HTTP/1.0 401 Unauthorized");
         readfile("./forbidden.html");
         exit;
         }

$offset=0;

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>StorIQ - List/Edit archives</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link rel="stylesheet" href="css/style1.css" type="text/css" />
<script language="JavaScript">

function open_list (win_location, list_win_width, list_win_height)
{
   var screen_width, screen_height;
   var win_top, win_left;
   var ListWin;

   screen_height        = 0;     screen_width      = 0;
   win_top              = 0;     win_left          = 0;

   if (window.innerWidth) screen_width = window.innerWidth;
   if (window.innerHeight) screen_height = window.innerHeight;

   win_top  = screen_height - list_win_height - 20;
   win_left = screen_width  - list_win_width  - 20;
   ListWin  = window.open(win_location, 'ListWin', 'scrollbars=1, resizable=1, width='+list_win_width+',height='+list_win_height+',top='+win_top+',left='+win_left);
   ListWin.focus();
}
</script>
</head>
<body class="normal">
<div class="left">
<A HREF="showlogin.php"><IMG src="images/user-menu.gif" border="0" alt="logout" title="Log out from the system">Logout</A>
&nbsp; &nbsp;
<A HREF="login.php"><IMG src="images/tools.gif" border="0" alt="go back to main" title="Go back to main menu">Main menu</A>
&nbsp; &nbsp;
<A HREF="./admin-1-main.php"><IMG src="images/user.gif" border="0" alt="Go back to Admin. menu" title="Go back to Admin. menu">Back to admin. menu</A>
&nbsp; &nbsp;
</div>
<br>
<div class="center">
<form action="admin-2-archlist.php">
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="titlebar">
              <tr>
                <td align="left"><img src="images/titleleft.gif" width="48" height="26" alt="*" class="normal" /></td>
                <td class="titleheader">Stor<img src="images/iq.png"alt="IQ" class="normal" /> - List archives </td>
                <td align="right"><img src="images/titleright.gif" width="48" height="26" alt="*" class="normal" /></td>
              </tr>
            </table>
<TABLE border="1" cellpadding="1" cellspacing="0" width="100%" class="main">
        <TR class="grey">
                <td class="toolbar">
                <table  border="0" cellspacing="0" width="100%" class="main">
                        <tr class="grey">

                                <td class="toolbar" align="left">
                                <input type="submit" name="prev" value=<?php print '"<< Previous '.$listlength.' Archives"';?>>
                                &nbsp;&nbsp;
                                <input type="submit" name="first" value="<<< First">
                                </td>
                                <td class="toolbar" align="right">
                                <input type="submit" name="next" value=<?php print '"Next '.$listlength.' Archives >>"';?>
                                </td>
                        </tr>
                </table>
                </td>
        </TR>
</TABLE>
<TABLE border="1" cellpadding="5" cellspacing="0" width="100%" class="main">
	<TR class="grey">
         	<TD valign="top">Arch. ID</td>
                 <TD valign="top">Arch. Name</td>
                 <TD valign="top">Is on tape</td>
                 <TD valign="top">Created by</td>
                 <TD valign="top">Created at</td>
                 <TD valign="top">Archive Description</td>
                 <TD valign="top">Archive Size</td>

                 <?php
$i=0;
if (isset($_GET['next']))
	{$offset+=$listlength;}
if (isset($_GET['prev']))
	{$offset-=$listlength;}
if (($offset<0) or (!$offset) or (isset($_GET['first'])))
         {$offset=0; $loffset=0;}

$myquery="SELECT * FROM allarchives ORDER BY ARDTTIME DESC  LIMIT $offset, $listlength";
$myresult=mysql_query($myquery, $mysqllink);

// affichage des archives

while ($row=mysql_fetch_array($myresult, $mysqllink))
	{
         $thesize=$row['ARSIZEK'];
         $theunit='KB';
         if ($thesize>1024)
	         {
	         $thesize/=1024;
	         $theunit='MB';
	         if ($thesize>1024)
	                 {
	                 $thesize/=1024;
	                 $theunit='GB';
	                 }
	         }
         $thesize=sprintf("%01.2f",$thesize);
         print'<tr class="normal"><TD valign="top" class="light"><a href="admin-3-archedit.php?arch='.$row['ARCHID'].'" onclick="open_list(\'./admin-3-archedit.php?arch='.$row['ARCHID'].'\', \'720\', \'500\'); return false;" title="Edit this Archive info">&nbsp;'.$row['ARCHID'].'<img src="images/Edit_sm.gif" border="0"></a></td><TD valign="top" class="light">'.$row['ARCHNAME'].'</td><TD valign="top" class="light">'.$row['TAPEID'].'</td><TD valign="top" class="light">'.$row['CREATOR'].'</td><TD valign="top" class="light">'.$row['ARDTTIME'].'</td><TD valign="top" class="light">'.$row['DESCR'].'</td><TD valign="top" class="light">'."$thesize $theunit</td></tr>\n";
         }

                 ?></td>
	</TR>
</TABLE>
<?php
print '<input type="hidden" name="offset" value="'.$offset.'">';
?>
<TABLE border="1" cellpadding="1" cellspacing="0" width="100%" class="main">
        <TR class="grey">
                <td class="toolbar">
                <table  border="0" cellspacing="0" width="100%" class="main">
                        <tr class="grey">

                                <td class="toolbar" align="left">
                                <input type="submit" name="prev" value=<?php print '"<< Previous '.$listlength.' Archives"';?>>
                                &nbsp;&nbsp;
                                <input type="submit" name="first" value="<<< First">
                                </td>
                                <td class="toolbar" align="right">
                                <input type="submit" name="next" value=<?php print '"Next '.$listlength.' Archives >>"';?>
                                </td>
                        </tr>
                </table>
                </td>
        </TR>
</TABLE>
</form>
</div>
</body>
</html>