<?php
// admin-2-dbadmin : fonction de BDD
//version 0.8-1
error_reporting(E_ALL);

//contrle du user/pass prsents
session_start();


if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) 
	{
         readfile ("./index.html");
         exit;
         }

// connexion base et autorisations
require("dbuser.inc.php");

// vrifier si admin
if ($permissions['KS_ADMIN']!='Y')
	{
         header("HTTP/1.0 401 Unauthorized");
         readfile("./forbidden.html");
         exit;
         }

$message='';

if (isset($_POST['dump']))
	{
         $mydumpfile=uniqid("dump").".sql";
         # run dump command
         $command="/usr/bin/mysqldump -u$dbuser -p$dbpass $database >./temp/$mydumpfile";
         system($command, $go);
         if ($go) {$message.="impossible de crer $mydumpfile!<br>";}
         # compress file
         $command="/bin/gzip ./temp/$mydumpfile";
         system($command, $go);
         if ($go) {$message.="impossible de compresser $mydumpfile!<br>";}
         }
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>StorIQ - Database Administration </title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link rel="stylesheet" href="css/style1.css" type="text/css" />
<script language="JavaScript">

function open_list (win_location, list_win_width, list_win_height)
{
   var screen_width, screen_height;
   var win_top, win_left;
   var ListWin;

   screen_height        = 0;     screen_width      = 0;
   win_top              = 0;     win_left          = 0;

   if (window.innerWidth) screen_width = window.innerWidth;
   if (window.innerHeight) screen_height = window.innerHeight;

   win_top  = screen_height - list_win_height - 20;
   win_left = screen_width  - list_win_width  - 20;
   ListWin  = window.open(win_location, 'ListWin', 'scrollbars=1, resizable=1, width='+list_win_width+',height='+list_win_height+',top='+win_top+',left='+win_left);
   ListWin.focus();
}
</script>
</head>
<body class="normal">
	<div class="left">
	<A HREF="showlogin.php"><IMG src="images/user-menu.gif" border="0" alt="logout" title="Log out from the system">Logout</A>
	&nbsp; &nbsp;
	<A HREF="login.php"><IMG src="images/tools.gif" border="0" alt="go back to main" title="Go back to main menu">Main menu</A>
	&nbsp; &nbsp;
         <A HREF="./admin-1-main.php"><IMG src="images/user.gif" border="0" alt="Go back to Admin. menu" title="Go back to Admin. menu">Back to admin. menu</A>
	&nbsp; &nbsp;
	</div>
         <br>
	<div class="center">
         <form METHOD="POST" ACTION="./admin-2-dbadmin.php">
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="titlebar">
	                           <tr>
	                                    <td align="left"><img src="images/titleleft.gif" width="48" height="26" alt="*" class="normal" /></td>
	                                    <td class="titleheader">Stor<img src="images/iq.png"alt="IQ" class="normal" /> - Database administration</td>
	                                    <td align="right"><img src="images/titleright.gif" width="48" height="26" alt="*" class="normal" /></td>
	                           </tr>
				</table>
       <TABLE border="1" cellpadding="5" cellspacing="0" width="100%" class="main">
                 <tr class="normal">
         	<td>Dump the Database.</td><td><INPUT type="submit" value="Dump database" name="dump"><?php
                 if (isset($_POST['dump']))
                 	{
                         $message.="<br><a href=\"./temp/$mydumpfile.gz\">Click here to Download dump file</a>";
                         }
                 ?></td>
                 </tr>
		<tr class="normal">
                 <td>Optimize tables.</td><td><INPUT type="submit" value="optimize" name="optimize"><?php
                 if (isset($_POST['optimize']))
                 	{
                         $result=mysql_list_tables($database);
                         for ($i=0; $i<mysql_num_rows($result); $i++)
                         	{
                                 $thetable=mysql_tablename($result, $i);
                                 $query="optimize table $thetable";
                                 $myresult=mysql_query($query, $mysqllink);
				$message.="<br><b> $thetable OPTIMIZED</b>";
                                 }

                         }

                 ?></td>
                 </tr>
		<tr class="normal">
                 <td>Restore Database from a dump file. </td><td><input type="hidden" name="MAX_FILE_SIZE" value="1000000"><input type="file" NAME="indump">&nbsp;<input type="submit" name="restdump" VALUE="Restore"><?php
                 if (isset($_POST['restdump']))
                 	{
                         $message.="<br><b>$indump, Not a valid dump file</b> ";
                         //copy("/tmp/".$indump, "./temp/toto.sql");
                         }
                 ?></td>
         	</tr>
                </table>
                 <br>
                 <TABLE border="1" cellpadding="5" cellspacing="0" width="100%" class="main">
        			<tr class="normal">
         			<td>
                                 Messages :<?php print $message;?>
                                 </td>
                         </tr>
                 </table>
         </form>
</div>
</body>
</html>
