<?php
// admin-2-tplist : affiche la liste des supports
//version 0.8-1
error_reporting(E_ALL);

//contrle du user/pass prsents
session_start();


if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) 
	{
         readfile ("./index.html");
         exit;
         }

// connexion base et autorisations
require("dbuser.inc.php");

// vrifier si admin
if ($permissions['KS_ADMIN']!='Y')
	{
         header("HTTP/1.0 401 Unauthorized");
         readfile("./forbidden.html");
         exit;
         }

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>StorIQ - List all tapes </title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link rel="stylesheet" href="css/style1.css" type="text/css" />
<script language="JavaScript">

function open_list (win_location, list_win_width, list_win_height)
{
   var screen_width, screen_height;
   var win_top, win_left;
   var ListWin;

   screen_height        = 0;     screen_width      = 0;
   win_top              = 0;     win_left          = 0;

   if (window.innerWidth) screen_width = window.innerWidth;
   if (window.innerHeight) screen_height = window.innerHeight;

   win_top  = screen_height - list_win_height - 20;
   win_left = screen_width  - list_win_width  - 20;
   ListWin  = window.open(win_location, 'ListWin', 'scrollbars=1, resizable=1, width='+list_win_width+',height='+list_win_height+',top='+win_top+',left='+win_left);
   ListWin.focus();
}
</script>
</head>
<body class="normal">
	<div class="left">
	<A HREF="showlogin.php"><IMG src="images/user-menu.gif" border="0" alt="logout" title="Log out from the system">Logout</A>
	&nbsp; &nbsp;
	<A HREF="login.php"><IMG src="images/tools.gif" border="0" alt="go back to main" title="Go back to main menu">Main menu</A>
	&nbsp; &nbsp;
         <A HREF="./admin-1-main.php"><IMG src="images/user.gif" border="0" alt="Go back to Admin. menu" title="Go back to Admin. menu">Back to admin. menu</A>
	&nbsp; &nbsp;
	</div>
         <br>
	<div class="center">
         <form action="admin-2-tplist.php">
         <table border="0" cellpadding="0" cellspacing="0" width="100%" class="titlebar">
	         <tr>
	                  <td align="left"><img src="images/titleleft.gif" width="48" height="26" alt="*" class="normal" /></td>
	                  <td class="titleheader">Stor<img src="images/iq.png"alt="IQ" class="normal" /> - List all Tapes in Use</td>
	                  <td align="right"><img src="images/titleright.gif" width="48" height="26" alt="*" class="normal" /></td>
	         </tr>
	</table>
<TABLE border="1" cellpadding="1" cellspacing="0" width="100%" class="main">
        <TR class="grey">
                <td class="toolbar">
                <table  border="0" cellspacing="0" width="100%" class="main">
                        <tr class="grey">

                                <td class="toolbar" align="left">
                                <input type="submit" name="prev" value=<?php print '"<< Previous '.$listlength.' Tapes"';?>>
                                &nbsp;&nbsp;
                                <input type="submit" name="first" value="<<< First">
                                </td>
                                <td class="toolbar" align="right">
                                <input type="submit" name="next" value=<?php print '"Next '.$listlength.' Tapes >>"';?>
                                </td>
                        </tr>
                </table>
                </td>
        </TR>
</TABLE>
<TABLE border="1" cellpadding="5" cellspacing="0" width="100%" class="main">
         	<tr class="grey">
         		<TD valign="top">Tape ID / Label </TD>
                 	<TD valign="top">Tape Name </TD>
                         <TD valign="top"> Available Space </TD>
                         <TD valign="top"> Tape Type </TD>
                         <TD valign="top"> Tape Format </TD>
                         <TD valign="top"> Creation Date </TD>
                         <TD valign="top"> Expiration Date </TD>
                         <TD valign="top"> Access forbidden </TD>
                 </tr>
<?php
$i=0;
$offset=0;
if (isset($_GET['next']))
	{$offset+=$listlength;}
if (isset($_GET['prev']))
	{$offset-=$listlength;}
if (($offset<0) or (isset($_GET['first'])))
         {$offset=0;}
//requte
$myquery="SELECT * from alltapes ORDER BY TPNAME LIMIT $offset, $listlength";
$myresult=mysql_query($myquery, $mysqllink);

while ($myrow=mysql_fetch_array($myresult, $mysqllink))
	{
         $tpunit='MB'; $tapesize=$myrow['TPSPACE'];
                 if ($tapesize>1024)
                 	{
                         $tapesize/=1024;
                         $tpunit='GB';
                         if ($tapesize>1024)
                         	{
                                 $tapesize/=1024;
                                 $tpunit='TB';
                                 if ($tapesize>1024)
                                 	{
                                         $tapesize/=1024;
                                         $tpunit='PB';
                                         }
                                 }
                         }
         $tapesize=intval($tapesize);
         if ($myrow['EXPIRES']=='0000-00-00 00:00:00')
         	{$myrow['EXPIRES']='Never';}
         print '<tr class="main"><td>&nbsp;<a href="admin-2-tpedit.php?tp='.$myrow['TAPEID'].'" onclick="open_list(\'./admin-2-tpedit.php?tp='.$myrow['TAPEID'].'\', \'720\', \'500\'); return false;"'." title=\"Edit this Tape info\">".$myrow['TAPEID'].' / '.$myrow['TPLABEL']."&nbsp;<img src=\"images/Edit_sm.gif\" border=\"0\"></a></td>\n<td>".$myrow['TPNAME']."</td><td>$tapesize&nbsp;$tpunit</td><td>".$myrow['TPTYPE']."</td>\n<td>".$myrow['TPFORMAT']."</td><td>".$myrow['TPDATETIME']."</td>\n<td>".$myrow['EXPIRES']."</td><td>".$myrow['NOACCESS']."</td></tr>\n";
         }
?>
	</table>
         <?php
         print '<input type="hidden" name="offset" value="'.$offset.'">';
         ?><TABLE border="1" cellpadding="1" cellspacing="0" width="100%" class="main">
        <TR class="grey">
                <td class="toolbar">
                <table  border="0" cellspacing="0" width="100%" class="main">
                        <tr class="grey">

                                <td class="toolbar" align="left">
                                <input type="submit" name="prev" value=<?php print '"<< Previous '.$listlength.' Tapes"';?>>
                                &nbsp;&nbsp;
                                <input type="submit" name="first" value="<<< First">
                                </td>
                                <td class="toolbar" align="right">
                                <input type="submit" name="next" value=<?php print '"Next '.$listlength.' Tapes >>"';?>
                                </td>
                        </tr>
                </table>
                </td>
        </TR>
</TABLE>
         </form>
</div>
</body>
</html>